﻿using ConfectioneryContracts.BindingModels;
using ConfectioneryContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static ConfectioneryContracts.ViewModels.ReportPastryComponentViewModel;

namespace ConfectioneryContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportPastryComponentViewModel> GetPastryComponent();

        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveComponentsToWordFile(ReportBindingModel model);

        void SavePastryComponentToExcelFile(ReportBindingModel model);


        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
